Name:           nfspy
Version:        1.0
Release:        3%{?dist}
Summary:        An ID-spoofing NFS client

License:        MIT
URL:            https://github.com/bonsaiviking/NfSpy
Source0:        https://github.com/bonsaiviking/NfSpy/archive/v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-fuse

Requires:       python-fuse

%description
NfSpy is a Python library for automating the falsification of NFS credentials
when mounting an NFS share. Included are two client programs:

- nfspy uses the Filesystem in Userspace (FUSE) library to mount an NFS share
  in Linux. This allows the use of any regular file-searching and manipulation
  programs like grep and find to explore the NFS export.
- nfspysh is a ftp-like interactive shell for exploring NFS exports. It does
  not require the FUSE library, so it can run on non-Linux platforms.

%prep
%setup -q -n NfSpy-%{version}
sed -i '1{\@^#!/usr/bin/env python@d}' nfspy/__init__.py nfspy/nfspy.py

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%doc LICENSE README.md
%{_bindir}/%{name}
%{_bindir}/nfspysh
%{python2_sitelib}/%{name}/
%{python2_sitelib}/NfSpy*.egg-info

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jan 22 2014 Fabian Affolter <mail@fabian-affolter.ch> - 1.0-2
- Fix BR

* Mon Aug 12 2013 Fabian Affolter <mail@fabian-affolter.ch> - 1.0-1
- Initial package
